Package fr.gouv.vitam.functionaltest.cucumber.step

# Class DipStep

java.lang.Object
fr.gouv.vitam.functionaltest.cucumber.step.CommonStep
fr.gouv.vitam.functionaltest.cucumber.step.DipStep

public class DipStep extends CommonStep

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `CommonStep.MyRunnable`

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `world`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DipStep(World world)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `afterScenario()`
  `void`
  `checkDipObjectCount(int nbObjects, int nbBinaryObjects)`
  `void`
  `checkDipObjectGroupCount(int nbObjectGroups)`
  `void`
  `checkDipSedaVerion(String sedaVersion)`
  `void`
  `checkDipUnitCount(int nbUnits)`
  `void`
  `compareSipAndDip()`
  `void`
  `downloadDip()`
  `void`
  `exportDip()`
  `void`
  `exportDIP()`
  `void`
  `exportDipBySedaVersion(String sedaVersion)`

  ### Methods inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `checkOperationStatus, runInVitamThread`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DipStep

    public DipStep(World world)

- ## Method Details

  - ### exportDip

    @When("^j\'exporte le dip$") public void exportDip() throws VitamException
    Throws:
      `VitamException`

  - ### exportDIP

    @When("^j\'exporte le DIP$") public void exportDIP() throws VitamException
    Throws:
      `VitamException`

  - ### downloadDip

    @When("^je t\u00e9l\u00e9charge le dip$") public void downloadDip() throws Exception
    Throws:
      `Exception`

  - ### exportDipBySedaVersion

    @When("^j\'exporte le dip avec la version SEDA \"([^\"]*)\"") public void exportDipBySedaVersion(String sedaVersion) throws VitamException
    Throws:
      `VitamException`

  - ### checkDipUnitCount

    @Then("^le dip contient (\\d+) unit\u00e9s archivistiques$") public void checkDipUnitCount(int nbUnits) throws Exception
    Throws:
      `Exception`

  - ### checkDipObjectGroupCount

    @Then("^le dip contient (\\d+) groupes d\'objets$") public void checkDipObjectGroupCount(int nbObjectGroups) throws Exception
    Throws:
      `Exception`

  - ### checkDipObjectCount

    @Then("^le dip contient (\\d+) objets dont (\\d+) sont binaires$") public void checkDipObjectCount(int nbObjects, int nbBinaryObjects) throws Exception
    Throws:
      `Exception`

  - ### checkDipSedaVerion

    @Then("^le dip utilise la version SEDA \"([^\"]*)\"$") public void checkDipSedaVerion(String sedaVersion) throws Exception
    Throws:
      `Exception`

  - ### compareSipAndDip

    @Then("le SIP et le DIP sont semblables") public void compareSipAndDip() throws Exception
    Throws:
      `Exception`

  - ### afterScenario

    public void afterScenario()